org.eclipse.emf.cdo.server.objectivity

## Interface IObjectivityStoreAccessor

- All Superinterfaces:
    InternalCDOBranchManager.BranchLoader, InternalCDOCommitInfoManager.CommitInfoLoader, IQueryHandlerProvider, IStoreAccessor, IStoreAccessor.Raw

      public interface IObjectivityStoreAccessor
      extends IStoreAccessor.Raw

  A `store accessor` for CDO's Objecivity back-end integration.
  Author:
    Ibrahim Sallam
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `IStoreAccessor.CommitContext, IStoreAccessor.DurableLocking, IStoreAccessor.DurableLocking2, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryXRefsContext, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IObjectivityStoreChunkReader` | `createChunkReader(InternalCDORevision revision, EStructuralFeature feature)`
    `IObjectivityStore` | `getStore()` Returns the store this accessor is associated with.

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.Raw

      `rawCommit, rawDelete, rawExport, rawImport, rawStore, rawStore, rawStore, rawStore, rawStore`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor

      `commit, getSession, getTransaction, handleLobs, handleRevisions, isReader, loadLob, loadPackageUnit, queryLobs, queryResources, queryXRefs, readChangeSet, readPackageUnits, readResourceID, readRevision, readRevisionByVersion, release, rollback, write, writePackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

      `getQueryHandler`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.commit.InternalCDOCommitInfoManager.CommitInfoLoader

      `loadCommitData, loadCommitInfos`

- - ### Method Detail

    - #### getStore

          IObjectivityStore getStore()

      Description copied from interface: `IStoreAccessor`
      Returns the store this accessor is associated with.
      Specified by:
        `getStore` in interface `IStoreAccessor`

    - #### createChunkReader

          IObjectivityStoreChunkReader createChunkReader(InternalCDORevision revision,
                                                         EStructuralFeature feature)

      Specified by:
        `createChunkReader` in interface `IStoreAccessor`
      Since:
        2.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html